Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # png_dynamic_io.hpp File Reference ## Detailed Description Support for reading and writing PNG files Requires libpng and zlib! Author: Hailin Jin and Lubomir Bourdev Adobe Systems Incorporated Date: 2005-2007 Last updated June 10, 2006 `#include <string>` `#include <stdio.h>` `#include <boost/mpl/bool.hpp>` `#include <boost/shared_ptr.hpp>` `#include "../dynamic_image/dynamic_image_all.hpp"` `#include "io_error.hpp"` `#include "png_io.hpp"` `#include "png_io_private.hpp"` `#include "dynamic_io.hpp"` Go to the source code of this file.
## Namespaces
namespace | boost
namespace | boost::gil
namespace | boost::gil::detail
## Functions
template<typename Images>
void | png_read_image (const char *filename, any_image< Images > &im)
| reads a PNG image into a run-time instantiated image Opens the given png file name, selects the first type in Images whose color space and channel are compatible to those of the image file and creates a new image of that type with the dimensions specified by the image file. Throws std::ios_base::failure if none of the types in Images are compatible with the type on disk.
template<typename Images>
void | png_read_image (const std::string &filename, any_image< Images > &im)
| reads a PNG image into a run-time instantiated image
template<typename Views>
void | png_write_view (const char *filename, const any_image_view< Views > &runtime_view)
| Saves the currently instantiated view to a png file specified by the given png image file name. Throws std::ios_base::failure if the currently instantiated view type is not supported for writing by the I/O extension or if it fails to create the file.
template<typename Views>
void | png_write_view (const std::string &filename, const any_image_view< Views > &runtime_view)
| Saves the currently instantiated view to a png file specified by the given png image file name.